Package org.drinkless.tdlib

# Class TdApi.ChatMemberStatusRestricted

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatMemberStatus
org.drinkless.tdlib.TdApi.ChatMemberStatusRestricted

Enclosing class:
  `TdApi`

public static class TdApi.ChatMemberStatusRestricted extends TdApi.ChatMemberStatus
The user is under certain restrictions in the chat. Not supported in basic groups and channels.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatMemberStatus

  `TdApi.ChatMemberStatus.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isMember`
  True, if the user is a member of the chat.
  `TdApi.ChatPermissions`
  `permissions`
  User permissions in the chat.
  `int`
  `restrictedUntilDate`
  Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMemberStatusRestricted()`
  The user is under certain restrictions in the chat.
  `ChatMemberStatusRestricted(boolean isMember, int restrictedUntilDate, TdApi.ChatPermissions permissions)`
  The user is under certain restrictions in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isMember

    public boolean isMember
    True, if the user is a member of the chat.

  - ### restrictedUntilDate

    public int restrictedUntilDate
    Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never. If the user is restricted for more than 366 days or for less than 30 seconds from the current time, the user is considered to be restricted forever.

  - ### permissions

    public TdApi.ChatPermissions permissions
    User permissions in the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatMemberStatusRestricted

    public ChatMemberStatusRestricted()
    The user is under certain restrictions in the chat. Not supported in basic groups and channels.

  - ### ChatMemberStatusRestricted

    public ChatMemberStatusRestricted(boolean isMember, int restrictedUntilDate, TdApi.ChatPermissions permissions)
    The user is under certain restrictions in the chat. Not supported in basic groups and channels.
    Parameters:
      `isMember` - True, if the user is a member of the chat.
      `restrictedUntilDate` - Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never. If the user is restricted for more than 366 days or for less than 30 seconds from the current time, the user is considered to be restricted forever.
      `permissions` - User permissions in the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatMemberStatus`
    Returns:
      this.CONSTRUCTOR